# Command List

* `/wins` <mark style="color:blue;">**NEW!**</mark>

Members can view their most recent wins in the server.&#x20;

* `/wallet`
  * `/wallet set`

    Set your wallet address to be used in giveaways that require them. You can use the command again at any time to change your wallet address.
  * `/wallet view`

    View your current wallet address

* `/create`

Allows giveaway managers to create new giveaways.

Interactive giveaway creation:

* What channel do you want to run the giveaway in?
* How long should the giveaway last?
* How many winners should there be?
* What is the prize of the giveaway?

Extra Options:

* Allowed Users/Roles: Only the users/roles mentioned will be able to win the giveaway

* Blacklisted Users/Roles: The users/roles mentioned won't be able to win the giveaway

* Wallet Requirement: Whether or not members must have a wallet address set to enter the giveaway

* Role Percentages: Give a higher/lower percentage chance of winning to members with a specific role

* Roles on Winning: Set a role to be given automatically to all winners of the giveaway

* Max Entries: Set a maximum number of server entries for the giveaway (i.e. once that number of entries is reached, members won't be able to join the giveaway.)

* Minimum/Maximum Winners Per Role: Set a maximum/minimum number of winners per role (e.g. `@Gold 2,4` means that there should be at least 2 winners with the @Gold role, and at most 4 winners with the @Gold role)

* `/view`
  * `/view state: active`, `/view state: ended`, `/view state: cancelled`

Allows giveaway managers to select and view active, cancelled and already ended giveaways from a dropdown menu.&#x20;

After selecting a giveaway, a panel with a summary of the giveaway will show up, with a "Get file" button to easily export the list of winners (and wallets, if the wallet requirement was enabled for the giveaway).

* `/cancel`

Allows giveaway managers to select and cancel an active giveaway from a dropdown menu. The giveaway is cancelled with no winners drawn.

* `/end`

Allows giveaway managers to select and forcefully end an active giveaway from a dropdown menu. The giveaway ends on the spot, drawing winners from the current entries.

* `/reroll`

Allows giveaway managers to select and reroll the winners of a giveaway from a dropdown menu.&#x20;

* `/settings`
  * `/settings view`

    View the current bot settings for your server
  * `/settings manager_roles`

    Change the roles that have Giveaway Manager permissions
  * `/settings log_channel`

    Change the channel where logs will be sent
  * `/settings allowed_file_command_roles`

    Change the roles allowed to use the `/file` command
  * `/settings allowed_wallet_command_roles`

    Change the roles allowed to use the `/wallet` command

* `/file`

Allows admins to import files and give a specified role to all the usernames found in the file. Supports all file types (if you have a file that isn't working with the bot, [please make a support ticket in our Discord server](https://discord.gg/xRQ7yeSq)).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pandezlabs.com/pandez-tools/command-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
